/*************************************************
* ADS Praktikum 1.1
* Ring.h
* Erweiterung um Hilfsfunktionen gestattet.
*************************************************/
// Ring .h
#pragma once
#include<string>
#include "catch.h"
#include"RingNode.h"

class Ring {
private:
	int m_countNodes;
	RingNode* m_anker;
	friend int getOldAge();
public:
	Ring();
	void addNewNode(std::string Beschreibung, std::string Data);
	bool search(std::string Data);
	void printNode(std::string Data);
	void print();
	
	// friend Funktionen müssen unangetastet bleiben! 
	friend RingNode* get_anker(Ring& r);
	friend int get_countNodes(Ring& r);
};
